<template lang="pug">
.topline
  .topline__content
    .topline__logo
      router-link(:to="{ name: 'Home' }")
        img(src="../../assets/logo.png")
    .topline__menu(v-if="authorized")
      router-link.topline__link.topline__link_main(:to="{ name: 'Profile' }") {{ user.name }}
      span.topline__delimiter &nbsp;|&nbsp;
      Button.topline__link.topline__link_second(
        type="logout"
        @click="logout()"
      ) Выход
    .topline__menu(v-else)
      router-link.topline__link.topline__link_main(:to="{ name: 'Registration' }") Регистрация
      span.topline__delimiter &nbsp;|&nbsp;
      router-link.topline__link.topline__link_second(:to="{ name: 'Login' }") Вход
</template>

<script>
import Button from '@/components/parts/Button.vue'

export default {
  name: 'Topline',
  components: {
    Button
  },
  computed: {
    authorized() {
      return this.$store.getters.authorized
    },
    user() {
      return this.$store.getters.user
    },
  },
  methods: {
    logout() {
      this.$store.dispatch('logout')
      this.$router.push({ name: 'Home' })
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~@/stylus/mixins.styl'

.topline
  width: 100%
  gradient()
  &__content
    padding: 5px
    height: 150px
    margin: auto
    max-width: 1200px
    display: flex
    align-items: center
    justify-content: space-between
    flex-direction: row
  &__logo img
    height: 70px
  &__menu
    display: flex
    margin: -5px;
  &__link
    padding: 5px
    font-size: 1.3em
    color: lightColor
    text-decoration: none
    transition: box-shadow 0.2s
    box-shadow: none
    &:hover
      box-shadow: 0px 5px 0px -2px lightColor
    &_main
      font-weight: 700
  &__delimiter
    color: lightColor
    font-size: 1.55em
</style>
